// Craig S. Kaplan
//
// This example uses
// the built-in noise() function to draw a graph in a way
// that supports direct manipulation anywhere on the line.
// W20 Modified for JavaScript p5 by Kevin Harrigan.

// Amount of translation for direct manipulation purposes.
let dx;

function setup() {
  createCanvas(600, 200);
  dx = 0;
}

function draw() {
  background(220);
  strokeWeight(2);
  stroke(255, 0, 0);
  noFill();

  beginShape();
  for (let x = 0; x < 600; x++) {
    let v = noise(x - dx);
    let y= map(v, 0, 1, 0, height);
    vertex(x, y);
  }
  endShape();
}

function mouseDragged() {
  dx += mouseX - pmouseX;
}
