// Craig S. Kaplan
//
// Visualize the 2D noise function as an image by 
// setting in individual pixels in the sketch window
// every frame.  Support direct manipulation.

// Translation amounts for direct manipulation.
let tx = 0;
let ty = 0;

// Scaling factor for the noise() function.  Try
// changing this number!
let sc = 100.0;

function setup(){
  createCanvas(300, 300);
}

function draw(){
  background(220);
  for ( let y = 0; y < width; ++y ) {
    for ( let x = 0; x < height; ++x ) {
      v = noise( (x-tx) / sc, (y-ty) / sc );
      set( x, y, color( v * 256.0 ) );
    }
  }
    updatePixels();
}

function mouseDragged(){
  tx += mouseX - pmouseX;
  ty += mouseY - pmouseY;
}
